EMF: EMF::EMRSETVIEWPORTEXTEX Class Reference

EMF 1.0

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
EMF::EMRSETVIEWPORTEXTEX Class Reference

EMF Set Viewport Extents (ex) More...

`#include <libemf.h>`

Inheritance diagram for EMF::EMRSETVIEWPORTEXTEX:

## Public Member Functions
| EMRSETVIEWPORTEXTEX (INT cx, INT cy)
| EMRSETVIEWPORTEXTEX (DATASTREAM &ds)
bool | serialize (DATASTREAM ds)
int | size (void) const
void | execute (METAFILEDEVICECONTEXT *source, HDC dc) const
Public Member Functions inherited from EMF::METARECORD
virtual | ~METARECORD ()

## Detailed Description

EMF Set Viewport Extents (ex)

The viewport extent is the device coordinate (i.e. pixels) size of the viewport. Since W32 doesn't do any clipping, the purpose of this is not clear.

## Constructor & Destructor Documentation

EMF::EMRSETVIEWPORTEXTEX::EMRSETVIEWPORTEXTEX | ( | INT | cx,
|  | INT | cy
| ) |  |
| inline

Parameters

  cx | width of viewport in device coordinates
  cy | height of viewport in device coordinates

EMF::EMRSETVIEWPORTEXTEX::EMRSETVIEWPORTEXTEX | ( | DATASTREAM & | ds | ) |
| inline

Construct a SetViewportExtEx record from the input stream.

Parameters

  ds | Metafile datastream.

## Member Function Documentation

void EMF::EMRSETVIEWPORTEXTEX::execute | ( | METAFILEDEVICECONTEXT * | source,
|  | HDC | dc
| ) |  | const
| inlinevirtual

Execute this record in the context of the given device context.

Parameters

  source | the device context from which this record is taken.
  dc | device context for execute.

Implements EMF::METARECORD.

bool EMF::EMRSETVIEWPORTEXTEX::serialize | ( | DATASTREAM | ds | ) |
| inlinevirtual

Parameters

  ds | Metafile datastream.

Implements EMF::METARECORD.

int EMF::EMRSETVIEWPORTEXTEX::size | ( | void |  | ) | const
| inlinevirtual

Internally computed size of this record.

Implements EMF::METARECORD.

The documentation for this class was generated from the following file:

- libemf.h